* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #1f4a63;
    --primary-hover-color: #69bee9;
    --secondary-color: #337a97;
    --accent1-color: #8ed1fc;
    --accent2-color: #0693e3;

    --heading-font: "Poppins", serif;
    --paragraph-font: "Karla", serif;

    --text-color: #3d3e3f;
    --header-bg-color: linear-gradient(to right, white, rgb(95, 223, 240), rgb(26, 218, 218));

    --nav-background-color: #1f485d;
    --nav-link-color: White;
    --nav-hover-link-color: #f5cf89;
    --nav-hover-background-color: var(--accent1-color);

    --course-completed-background: #7ad48f;

    --a-link-color: #8b56e8;

    --background-color: rgb(252, 246, 246);
    --section-background: #f7f7f7;
    --max-width: 960px;

    --card-title-color: #b22222;
    --textColor: black;
}

* {
    font-family: var(--paragraph-font);
    color: var(--text-color);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    max-width: var(--max-width);
    overflow-x: hidden;
}

header,
main,
footer {
    max-width: 100%;
}

header {
    background: var(--header-bg-color);
    display: block;
    width: 100%;
}

.logo-commerce {
    border-radius: 5px;
    border: 2px solid var(--secondaryColor);
    margin: 2px;
    cursor: pointer;
}

/*title*/

#title {
    font-size: 3.1vw;
    text-align: center;
    margin-left: 29%;
    top: 2%;
    position: absolute;
}

#title {
    font-size: 1rem;
    text-align: center;
    position: inherit;
    margin: 0 auto;
    grid-column: 2 / 3;
}

#title h2 {
    font-weight: bold;
    color: black;
}

#title h3 {
    font-style: italic;
    border: 1px solid;
}

#title h4 {
    font-style: italic;
}

/*section-header*/

.section-header {
    margin: 20px 0;
  }

.section-header h1 {
    font-size: clamp(1.5rem, 2.5vw, 3rem);
    font-weight: bold;
    color: var(--secondary-color);
    text-transform: uppercase;
    text-align: center;
}

  /*Nav*/
#menu {
    font-size: 2.5rem;
    border: 0;
    background: none;
    color: var(--text-color);
    position: absolute;
    right: 20px;
    top: 5px;
    display: flex;
}

.active {
    text-decoration: underline !important;
}

#menu::before {
    content: "☰";
}

#menu.open::before {
    content: "X";
}

#navMenu.open a {
    display: block;
    font-weight: 400;
}

#navMenu {
    background-color: var(--backgroundColor);
    display: flex;
    flex-direction: column;
}

#navMenu ul {
    /* list-style: none; */
    display: block;
    width: 100%;
}

#navMenu a {
    display: none;
    text-align: right;
    padding: 15px 0;
    text-decoration: none;
    font-size: 150%;
    margin-right: 1rem;
}

#navMenu a:hover {
    background-color: transparent;
    color: var(--primaryColor);
}

/*main*/
main {
    min-height: 400px;
}

/*Footer*/

footer {
    background: var(--header-bg-color);
    font-size: 80%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    color: var(--text-color);
    padding: 5px;
}

#social-media {
    margin: 2rem 0;
    text-align: center;
}

.logo {
    width: 50px;
    margin: 0;
}

#footer-info {
    margin-bottom: 0;
}

#information {
    margin-top: 0;
}

.hero img {
    width: 100%;
    height: 400px;
    object-fit: cover;
}

.join-us-button {
    margin: 10px;
}

/* Large Views */
@media screen and (min-width: 821px) {

:root{
    --max-width: 1500px
}

    body {
        max-width: var(--max-width);
        margin: 0 auto;
    }

    header {
        display: flex;
        align-items: center;
        gap: 10px;
        /* overflow-x: hidden; */
        color: var(--textColor);
    }

    .container-logo {
        margin-left: 3rem;
    }

  

    #menu {
        display: none;
    }

    #navMenu {
        font-size: 100%;
        /* grid-column: 3 / 4; */
        max-width: 800px;
    }

    #navMenu ul {
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        padding: 0;
        max-width: 800px;
        justify-content: space-around;
    }

    #navMenu ul li {
        padding: 3rem;
        font-weight: 700;
        color: var(--textColor);
    }

    #navMenu ul li a {
        display: block;
        text-align: center;
        text-decoration: none;
    }

    #navMenu ul li:hover {
        background-color: var(--thirdColor);
        color: var(--textColor);
    }

    #navMenu ul li:hover a {
        color: var(--secondaryColor);
    }


    .hero img {
        width: 100%;
        height: 610px;
        object-fit: cover;
    }

    .join-us-button {
        text-decoration: none;
        display: inline-block;
        padding: 15px 30px;
        background: #ffffff;
        color: var(--a-link-color);
        font-size: 1.2em;
        font-weight: bold;
        border-radius: 30px;
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
        transition: all 0.3s ease;
        position: absolute;
        top: 85%;
        right: 10%;
        transform: translate(0, -50%);
        animation: float 3s ease-in-out infinite;
    }

    .join-us-button:hover {
        background: var(--primary-hover-color);
        color: #ffffff;
        transform: scale(1.1);
        box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.3);
    }

    .join-us-button:active {
        transform: scale(1.05);
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    }

    @keyframes float {

        0%,
        100% {
            transform: translate(0, -50%) translateY(-5px);
        }

        50% {
            transform: translate(0, -50%) translateY(5px);
        }
    }

}